アクセシビリティ

FlexBuilderテクニカルノート

Flex Builder 2:「インストールされているFlash Playerはデバッガではありません」

English

問題

Flex Builder 2をデバッグモードで実行すると、「インストールされているFlash Playerはデバッガではありません。Flex Builderは、Flash Playerのデバッグバージョンを検出できません。Flash Player 9のデバッグバージョンをインストールするか、Flex Builderを再インストールする必要があります。現在のバージョンでデバッグを試みますか?」というエラーメッセージが現れる場合があります。

理由

この状態は特定の状況下、例えば、Standard Flash Playerの9.0.16.0以上のバージョンをアドビのダウンロードサイトからインストールし、その後Flex Builder 2をインストールした場合や、最初にFlex Builder 2をインストールし、その後Flash PlayerをアドビのダウンロードサイトからStandard Flash Player 9.0.16.0以上のバージョンにアップデートした場合に起きるものです。

特殊なケースでは、Flex Builder 2インストーラが、インストール時にStandard Flash Playerのバージョンをオーバーライドしない場合もあります。開発用にDebug Flash Playerをインストールするには、以下の手順に従って操作を行う必要があります。

解決策

  1. Flex BuilderがどのWebブラウザでデバッグしているか検証します。
    1. Flex Builder 2を開きます。
    2. Window/環境設定を選択します。
    3. 環境設定のツリーから、一般/Webブラウザを選択します。

      どの外部Webブラウザがチェックされているか調べます。これがFlex Builderでデバッグに使用されているブラウザです。

      メモ:FireFoxでDebug Flash Playerを標準デバッガとして実行している場合や、その逆の場合では、Standard Flash PlayerをIEで実行したほうが良いかもしれません。
  2. ステップ1で選択されているブラウザに、Debug Flash Playerがインストールされていないかどうか、次のサイトで調べます。www.adobe.com/jp/products/flash/about/

    Flashのムービー画面を右クリックします。Debug Flash Playerがすでにインストールされている場合、下の画面のように、コンテキストメニューに「デバッガ」の文字が現れます。



    Debug Flash Playerバージョン9,0,15,0がインストールされている場合は、Flex Builder 2に同梱されていたバージョンを実行しているので、以下のステップ3に従って最新のDebug Flash Player 9,0,16,0にアップデートする必要があります。
  3. ステップ1で特定した適切なWebブラウザにDebug Flash Player をインストールします。 www.adobe.com/support/flashplayer/downloads.html
  4. ステップ2を再度行ってコンテキストメニューに「デバッガ」の文字が現れるかどうか調べ、Debug Flash Player 9,0,16,0がインストールされたことを確認します。

最終更新日: 2006年7月3日

テクニカルノートの詳細

ID: 758bf58b
製品: Flash Player、FlexBuilder、Flex
バージョン: